const lo = require('lodash');
const hlpSch = require('./TaskScheduleHelper.js')
const utilsRuleGen = require('../../utils/rule_gen.js')
const defPolicySections = []

function toView (TASK_ADDITIONAL_PARAMS, activePolicyCache, formType, isGroupTask) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType === 'Main'){
        let data = utilsRuleGen.toViewAutoRuleGen(TASK_ADDITIONAL_PARAMS.Settings);
        data.Form_AutoRuleGenerator_Advanced.GroupTask = isGroupTask;
        return data;
    }
    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        TASK_ADDITIONAL_PARAMS.Settings = utilsRuleGen.toRowAutoRuleGen(changedData, TASK_ADDITIONAL_PARAMS.Settings);
    }
}

module.exports = {
    defPolicySections,
    toView,
    toRaw
};
