const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['NetworkLists']
const formValues = ['Q_LIST_FLAG', 'B_LIST_FLAG','TIF_LIST_FLAG']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.NetworkLists, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign(policiesCache.NetworkLists, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
