const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['ReportingPolicy']
const formValues = ['UseSyslog','UseOnlySyslog','SyslogSettings']

function toView (policiesCache) {
    return hlp.customToView(policiesCache.ReportingPolicy.Policy.KLPRSS_Val, formValues)
}

function toRaw (changedData, policiesCache) {
    Object.assign(policiesCache.ReportingPolicy.Policy.KLPRSS_Val, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
