const lo = require('lodash');
//const hlp = require('../../helpers')
const hlp = require('../../../helpers')

const sections = ['BLSettings']
const formValues = ['EnableTrace','TraceFolder','TraceFileMaxSize','TraceMode','TraceSeverityLevel','TraceSubsystems',
    'UseTraceRotation','MaxTraceFilesToRotate','CreateCrashDump','CrashDumpFolder']

function toView (settCache, activePolicyCache) {
    return hlp.customToView(settCache.BLSettings, formValues)
}

function toRaw (changedData, settCache) {
    changedData.TraceSubsystems = "*";
    Object.assign(settCache.BLSettings, lo.pick(changedData, formValues))
}

module.exports = {
    sections,
    toView,
    toRaw
};
