const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['NetworkLists']
const formValues = ['Q_LIST_FLAG', 'B_LIST_FLAG','TIF_LIST_FLAG']

function toView (settCache, activePolicyCache) {
    let data = hlp.localSettingsToView(settCache.NetworkLists,activePolicyCache.NetworkLists,formValues);
    data.LocalSettings = true;
    return data;
}

function toRaw (changedData, settCache) {
    hlp.ItemToLocalSettings(changedData);
    Object.assign(settCache.NetworkLists, lo.pick(changedData, formValues));
}

module.exports = {
    sections,
    toView,
    toRaw
};
