const hlpSch = require('./TaskScheduleHelper.js')
const utilsUpdate = require('../../utils/update.js')

function toView (TASK_ADDITIONAL_PARAMS, formType) {
    if(formType === 'Schedule' ) {
        let data = hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
        data.UpdateBases = true;
        return data;
    }
    else if(formType === 'Main'){
        let data = utilsUpdate.toFormsUpdateComponents(TASK_ADDITIONAL_PARAMS.Settings);
        return data;
    }
    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        TASK_ADDITIONAL_PARAMS.Settings = utilsUpdate.fromFormsUpdateComponents(changedData, TASK_ADDITIONAL_PARAMS.Settings);
    }
}

module.exports = {
    toView,
    toRaw
}
