const defaultTrustedZone = () => {
    const tz =  {
        ExclutionRules: { KLPRSS_Val:[[], false], KLPRSS_Mnd:false },
        ExclutionRules2: { KLPRSS_Val:[[], false], KLPRSS_Mnd:false },
        TrustAllBackupReadOperations: { KLPRSS_Val: [ true, false], KLPRSS_Mnd: false },
        TrustedProcesses: { KLPRSS_Val:[[], false], KLPRSS_Mnd:false },
        TrustedProcesses2: { KLPRSS_Val:[[], false], KLPRSS_Mnd:false },
        TrustedProcesses2Enabled: { KLPRSS_Val: [ false, false], KLPRSS_Mnd: false },
        TrustedProcessesEnabled: { KLPRSS_Val: [ false, false], KLPRSS_Mnd: false },
        __VersionInfo:{KLPRSS_Val:[1,2],KLPRSS_Mnd:false}
    };
    return {
        Policy : {
            KLPRSS_Val:tz,
            KLPRSS_Mnd:false
        }
    };
}

module.exports = {
    defaultTrustedZone,
}